<?php
/*
The default template for displaying content. Used for both single and index/page/archive/search.
*/
?>

<?php if ( is_home() ) : /* Display Excerpts for Home */ ?>
	<li id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="entry-inner">
		<?php if(has_post_thumbnail()):
			$birdmagazine_thumbnail_size = 'medium';
			if (is_sticky()):
				$birdmagazine_thumbnail_size = 'thumbnail';
			endif;
		?>
			<div class="entry-eyecatch"><a href="<?php the_permalink(); ?>"><?php the_post_thumbnail($birdmagazine_thumbnail_size); ?></a></div>
		<?php endif; ?>

		<header class="entry-header">
			<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'birdmagazine' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
		</header><!-- .entry-header -->
		<div class="entry-content">
			<?php if (is_sticky()):
				the_content( );
			else:
				the_excerpt( );
			endif; ?>
			<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'birdmagazine' ), 'after' => '</div>' ) ); ?>
		</div><!-- .entry-content -->
		</div><!-- .entry-inner -->

		<footer class="entry-meta">

			<div class="icon postdate"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'birdmagazine' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><time datetime="<?php echo get_the_time('Y-m-d') ?>" pubdate><?php echo get_post_time(get_option('date_format')); ?></time></a></div>

			<div class="icon author"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author(); ?></a></div>

			<div class="icon category"><?php the_category(', ') ?></div>

			<?php if ( comments_open() ) : ?>
				<div class="icon comment"><?php comments_popup_link(__('No Comments', 'birdmagazine'), __('1 Comment', 'birdmagazine'), __('% Comments', 'birdmagazine'), '', __('Comments Closed', 'birdmagazine') ); ?></div>
			<?php endif; ?>

		</footer><!-- .entry-meta -->
	</li><!-- #post -->

<?php elseif(is_singular()): // Display Excerpts for Single/Page ?>
	<header class="entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>
	</header>

	<div class="entry-content">
		<?php the_content(); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'birdmagazine' ), 'after' => '</div>' ) ); ?>
	</div>

	<?php if(is_single()): // Only Display Excerpts for Single ?>
		<footer class="entry-meta">

			<div class="icon postdate"><time datetime="<?php echo get_the_time('Y-m-d') ?>" pubdate><?php echo get_post_time(get_option('date_format')); ?></time></div>

			<div class="icon author"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author(); ?></a></div>

			<div class="icon category"><?php the_category(', ') ?></div>
			<?php the_tags('<div class="icon tag">', ', ', '</div>') ?>
			
		</footer>
	<?php endif; ?>

<?php else: // Display Excerpts for Archive/Search ?>
	<li><span><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></span> <em><a href="<?php the_permalink() ?>" rel="bookmark"><?php echo get_post_time(get_option('date_format')); ?></a></em></li>
<?php endif; ?>
