<?php
/*
BirdMAGAZINE functions and definitions.
*/
//////////////////////////////////////////
// Set the content width based on the theme's design and stylesheet.
if ( ! isset( $content_width ) )
	$content_width = 605;

//////////////////////////////////////////
// Set Widgets
function birdmagazine_widgets_init() {

	register_sidebar( array (
		'name' => __('Widget Area for sidebar', 'birdmagazine'),
		'id' => 'widget-area',
		'description' => __('Widget Area for sidebar', 'birdmagazine'),
		'before_widget' => '<div class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
		) );

	register_sidebar( array (
		'name' => __('Widget Area for footer', 'birdmagazine'),
		'id' => 'widget-area-footer',
		'description' => __('Widget Area for footer', 'birdmagazine'),
		'before_widget' => '<div class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
		) );
}
add_action( 'widgets_init', 'birdmagazine_widgets_init' );

//////////////////////////////////////////
// SinglePage Comment callback
function birdmagazine_custom_comments( $comment, $args, $depth ) {

	$GLOBALS['comment'] = $comment;

?>
	<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">

	<?php if('pingback' == $comment->comment_type || 'trackback' == $comment->comment_type):
		$birstips_url    = get_comment_author_url();
		$birstips_author = get_comment_author();
	 ?> 

		<div class="posted"><strong><?php _e( 'Pingback', 'birdmagazine' ); ?> : </strong><a href="<?php echo $birstips_url; ?>" target="_blank"><?php echo $birstips_author ?></a><?php edit_comment_link( __('(Edit)', 'birdmagazine'), ' ' ); ?></div>

	<?php else: ?>

		<div class="comment_meta">
			<?php echo get_avatar( $comment, 40 ); ?>
			<span class="author"><?php comment_author(); ?></span>
			<span class="time"><?php echo get_comment_time(get_option('date_format') .' ' .get_option('time_format')); ?></span><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div>
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em><?php _e( 'Your comment is awaiting moderation.', 'birdmagazine' ); ?></em><br>
		<?php endif; ?>

		<div class="comment_text">
			<?php comment_text(); ?>

			<?php $birdmagazine_web = get_comment_author_url(); ?>
			<?php if(!empty($birdmagazine_web)): ?>
				<p class="web"><a href="<?php echo $birdmagazine_web; ?>" target="_blank"><?php echo $birdmagazine_web; ?></a></p>
			<?php endif; ?>
		</div>

	<?php endif; ?>
<?php
	// no "</li>" conform WORDPRESS
}

//////////////////////////////////////////////////////
// Pagenation
function birdmagazine_the_pagenation() {

	global $wp_rewrite;
	global $wp_query;
	global $paged;

	$birdmagazine_paginate_base = get_pagenum_link(1);
	if (strpos($birdmagazine_paginate_base, '?') || ! $wp_rewrite->using_permalinks()) {
		$birdmagazine_paginate_format = '';
		$birdmagazine_paginate_base = add_query_arg('paged', '%#%');
	} else {
		$birdmagazine_paginate_format = (substr($birdmagazine_paginate_base, -1 ,1) == '/' ? '' : '/') .
		user_trailingslashit('page/%#%/', 'paged');;
		$birdmagazine_paginate_base .= '%_%';
	}
	echo paginate_links( array(
		'base' => $birdmagazine_paginate_base,
		'format' => $birdmagazine_paginate_format,
		'total' => $wp_query->max_num_pages,
		'mid_size' => 3,
		'current' => ($paged ? $paged : 1),
	));
}

//////////////////////////////////////////
// Archive PageTitle
function birdmagazine_the_archivetitle() {

	if(is_category()) {
		printf(__('Category Archives: %s', 'birdmagazine'), single_cat_title('', false));
	}
	elseif( is_tag() ) {
		printf(__('Tag Archives: %s', 'birdmagazine'), single_tag_title('', false) );
	}
	elseif (is_day()) {
		printf(__('Daily Archives: %s', 'birdmagazine'), get_post_time(get_option('date_format')));
	}
	elseif (is_month()) {
		printf(__('Monthly Archives: %s', 'birdmagazine'), get_post_time(__('F, Y', 'birdmagazine')));
	}
	elseif (is_year()) {
		printf(__('Yearly Archives: %s', 'birdmagazine'), get_post_time(__('Y', 'birdmagazine')));
	}
	elseif (is_author()) {
		printf(__('Author Archives: %s', 'birdmagazine'), get_the_author_meta('display_name', get_query_var('author')) );
	}
	elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {
		_e('Blog Archives', 'birdmagazine');
	}
}

//////////////////////////////////////////////////////
// Header Style
function birdmagazine_header_style() {

?>

<style type="text/css">

<?php
	//Theme Option
	$header_color = get_theme_mod( 'birdmagazine_header_color', '#5EC1D6');
	$navigation_color = get_theme_mod( 'birdmagazine_navigation_color', '#999');
	$link_color = get_theme_mod( 'birdmagazine_link_color', '#06A');
	$text_color = get_theme_mod( 'birdmagazine_text_color', '#544021');

	if ( 'blank' == get_header_textcolor() ) { ?>
		#header #site-title,
		#header #site-description {
			position: absolute !important;
			clip: rect(1px 1px 1px 1px); /* IE6, IE7 */
			clip: rect(1px, 1px, 1px, 1px);
			}   
		#header #branding {
			padding: 0;
			}
	<?php } else { ?>
		#header h1 a,
		#header #site-title a,
		#header p {
			color: #<?php header_textcolor();?>;
			}
		<?php } ?>

	#wrapper,
	#content .hentry .entry-header .entry-title,
	#content .hentry .entry-header .entry-title a,
	.archive #content ul li a, .search #content ul li a,
	.error404 #content ul li a,
	.widget ul li a,
	.widget #wp-calendar th, .widget #wp-calendar td {
		color: <?php echo $text_color; ?>;
	}

	a,
	#content .hentry .page-link,
	#content .hentry .page-link a,
	#content .tablenav,
	#content .tablenav a.page-numbers,
	.widget #wp-calendar th a, .widget #wp-calendar td a {
		color: <?php echo $link_color; ?>;
	}

	#content .hentry .page-link a,
	#content .tablenav a.page-numbers,
	#content .tablenav .current {
		border-color: <?php echo $link_color; ?>;
	}

	#content .tablenav .current {
		background-color: <?php echo $link_color; ?>;
	}

	#wrapper,
	#sidebar .widget h3,
	#sidebar .widget #searchform #s {
		border-color: <?php echo $header_color; ?>;
	}

	#sidebar .widget #searchform #searchsubmit,
	#footer {
		background-color: <?php echo $header_color; ?>;
	}

	#menu-wrapper .menu,
	#menu-wrapper .menu ul li a,
	#menu-wrapper .menu ul li ul,
	#menu-wrapper .menu ul li ul li a,
	#menu-wrapper .menu ul li a {
	    color: <?php echo $navigation_color; ?>;
		border-color: <?php echo $navigation_color; ?>;
	}

	@media screen and (max-width: 650px) {
		#menu-wrapper .menu ul#menu-primary-items,
		#menu-wrapper .menu ul#menu-primary-items li a,
		#menu-wrapper .menu #small-menu {
			border-color: <?php echo $navigation_color; ?>;
		}
	}

</style>

<?php 

}

//////////////////////////////////////////////////////
// Admin Header Style
function birdmagazine_admin_header_style() {
?>

<style type="text/css">

	#birdmagazine_header img {
		width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
		height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
		}

	#birdmagazine_header #site-title {
		margin: 0;
		padding: 0;
		color: #<?php header_textcolor();?>;
		font-size: 3em;
		line-height: 1;
		}

	#birdmagazine_header #site-title a {
		color: #<?php header_textcolor();?>;
	    font-weight: bold;
	    text-decoration: none;
		}

	#birdmagazine_header #site-description {
		color: #<?php header_textcolor();?>;
		margin: 0.5em 0;
		}

</style>

<?php

} 

//////////////////////////////////////////////////////
// Admin Header Image
function birdmagazine_admin_header_image() {

	$header_image = get_header_image();
	$birdmagazine_image_tag = '';
	if ( empty( $header_image ) ){
		$birdmagazine_image_tag = ' class="no-image"'; 
	}

	$style = '';
		if ( 'blank' == get_theme_mod( 'header_textcolor', HEADER_TEXTCOLOR ) || '' == get_theme_mod( 'header_textcolor', HEADER_TEXTCOLOR ) ){
		$style = ' style="display:none;"';
	}
?>
	<div id="birdmagazine_header"<?php echo $birdmagazine_image_tag; ?>>

		<div id="site-title"><a <?php echo $style; ?> onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a></div>
		<div id="site-description" <?php echo $style; ?>><?php bloginfo( 'description' ); ?></div>

<?php
	$header_image = get_header_image();
	if ( ! empty( $header_image ) ) : ?>

		<img src="<?php echo esc_url( $header_image ); ?>" alt="" />

	<?php endif; ?>

	</div>
	<?php
}

//////////////////////////////////////////////////////
// Setup Theme
function birdmagazine_setup() {

	// Set languages
	load_theme_textdomain( 'birdmagazine', get_template_directory() . '/languages' );

	// This theme styles the visual editor with editor-style.css to match the theme style.
	add_editor_style();

	// Set feed
	add_theme_support( 'automatic-feed-links' );

	// This theme uses post thumbnails
	add_theme_support( 'post-thumbnails' );

	/*
	 * This theme supports custom background color and image, and here
	 * we also set up the default background color.
	 */
	add_theme_support( 'custom-background', array(
		'default-color' => 'f9f9ef',
	) );

	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'birdmagazine' ),
	) );

	// Add support for custom headers.
	$custom_header_support = array(
		'width' => apply_filters( 'birdmagazine_header_image_width', 960 ),
		'height' => apply_filters( 'birdmagazine_header_image_height', 200 ),
		'default-image'          => '%s/images/headers/euphorbia.jpg',
		'default-text-color'     => 'aa3300',
		'wp-head-callback' => 'birdmagazine_header_style',
		'admin-head-callback' => 'birdmagazine_admin_header_style',
		'admin-preview-callback' => 'birdmagazine_admin_header_image'
	);

	add_theme_support( 'custom-header', $custom_header_support );

	register_default_headers( array(
		'alocasia' => array(
			'url' => '%s/images/headers/alocasia.jpg',
			'thumbnail_url' => '%s/images/headers/alocasia-thumbnail.jpg',
			'description' => 'Alocasia'
		),
		'calathea' => array(
			'url' => '%s/images/headers/calathea.jpg',
			'thumbnail_url' => '%s/images/headers/calathea-thumbnail.jpg',
			'description' => 'Calathea'
		),
		'euphorbia' => array(
			'url' => '%s/images/headers/euphorbia.jpg',
			'thumbnail_url' => '%s/images/headers/euphorbia-thumbnail.jpg',
			'description' => 'Euphorbia'
		),
		'fatsia' => array(
			'url' => '%s/images/headers/fatsia.jpg',
			'thumbnail_url' => '%s/images/headers/fatsia-thumbnail.jpg',
			'description' => 'Fatsia'
		),
		'fern' => array(
			'url' => '%s/images/headers/fern.jpg',
			'thumbnail_url' => '%s/images/headers/fern-thumbnail.jpg',
			'description' => 'Fern'
		),
		'mint' => array(
			'url' => '%s/images/headers/mint.jpg',
			'thumbnail_url' => '%s/images/headers/mint-thumbnail.jpg',
			'description' => 'Mint'
		),
	) );
}
add_action( 'after_setup_theme', 'birdmagazine_setup' );  

//////////////////////////////////////////////////////
// Document Title
function birdmagazine_title( $title ) {
	global $page, $paged;

	$title .= get_bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );

	if ( $site_description && ( is_home() || is_front_page() ) )
		$title .= " | $site_description";

	if ( $paged >= 2 || $page >= 2 )
		$title .= ' | ' . sprintf( __( 'Page %s', 'birdmagazine' ), max( $paged, $page ) );

	return $title;
}
add_filter( 'wp_title', 'birdmagazine_title' );

//////////////////////////////////////////////////////
// Enqueue Acripts
function birdmagazine_scripts() {

	if ( is_singular() && comments_open() && get_option('thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	wp_enqueue_script('jquery');  
	wp_enqueue_script('jquery-masonry');
	wp_enqueue_script( 'birdmagazine', get_template_directory_uri() .'/js/birdmagazine.js', 'jquery', '1.02' );

	wp_enqueue_style( 'birdmagazine', get_stylesheet_uri() );
	wp_enqueue_style( 'genericons', get_template_directory_uri() . '/genericons/genericons.css');
}
add_action( 'wp_enqueue_scripts', 'birdmagazine_scripts' );

//////////////////////////////////////////////////////
// Excerpt More
function birdmagazine_excerpt_more($more) { 
	return ' <a href="'. esc_url( get_permalink() ) . '" class="more-link">' . __( '&raquo;more', 'birdmagazine') . '</a>';
}  
add_filter('excerpt_more', 'birdmagazine_excerpt_more'); 

//////////////////////////////////////////////////////
// Theme Customizer
function birdmagazine_customize($wp_customize) {
 
	$wp_customize->add_section( 'birdmagazine_customize', array(
		'title'=> __( 'Theme Options', 'birdmagazine' ),
		'priority' => 99,
	) );

	// Text Color
	$wp_customize->add_setting( 'birdmagazine_text_color', array(
		'default' => '#544021',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'birdmagazine_text_color', array(
		'label' => __( 'Text Color', 'birdmagazine' ),
		'section'=> 'birdmagazine_customize',
		'settings' => 'birdmagazine_text_color',
	) ) );

	// Link Color
	$wp_customize->add_setting( 'birdmagazine_link_color', array(
		'default' => '#06A',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'birdmagazine_link_color', array(
		'label' => __( 'Link Color', 'birdmagazine' ),
		'section'=> 'birdmagazine_customize',
		'settings' => 'birdmagazine_link_color',
	) ) );

	// Header, Footer Color
	$wp_customize->add_setting( 'birdmagazine_header_color', array(
		'default' => '#5EC1D6',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'birdmagazine_header_color', array(
		'label' => __( 'Header, Footer Color', 'birdmagazine' ),
		'section'=> 'birdmagazine_customize',
		'settings' => 'birdmagazine_header_color',
	) ) );

	// Navigation Text Color
	$wp_customize->add_setting( 'birdmagazine_navigation_color', array(
		'default' => '#999',
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'birdmagazine_navigation_color', array(
		'label' => __( 'Navigation Text Color', 'birdmagazine' ),
		'section'=> 'birdmagazine_customize',
		'settings' => 'birdmagazine_navigation_color',
	) ) );

}
add_action('customize_register', 'birdmagazine_customize');
